:root {
    font-size: 11pt;
}

.view {
    min-height: var(--vh-size);
    overflow-x: hidden;
}

.columna {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.title-inicio {
    font-size: calc(3.5rem + 3vw);
    margin-top: calc(45vh - 110px);
    color: var(--accent-cl);
    font-weight: 900;
    text-transform: uppercase;
    font-family: 'Poppins';
}

#inicio h3 {
    font-weight: 300 !important;

}

#inicio::before {
    display: none;
}

.title-section {
    background-image: url(../resources/img/inicio/bg_first.png);
    background-position: right;
    background-size: cover;
    min-height: var(--vh-size);
    position: relative;
}

.header {
    width: 100%;
    justify-content: space-between;
    position: absolute;
    left: 5px;
}

#inicioDeco {
    position: absolute;
    bottom: 30px;
    left: 30px;
}

#logo {
    width: clamp(110px, 10vw, 200px);
    border-radius: 80px;
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.4);
    margin: 10px;
    align-self: flex-start;
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 3;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.6);
}

.header button {
    max-width: 80px;
    position: absolute;
    right: 20px;
    top: 5px;
    background-color: gold;
    border: none
}

.offcanvas-button {
    position: fixed;
    right: 20px;
    top: 20px;
    background-color: transparent;
    border: none;
    font-size: 1.8rem;
    color: var(--accent-cl);
    margin: 10px 0;
    z-index: 1;
}

.fa-bars {
    box-shadow: none;
}

.fa-bars::before {
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.3);
    text-shadow: 1px 1px 10px rgba(0, 0, 0, 0.4) !important;
    padding: 8px 10px;
    background-color: rgba(0, 0, 0, 0.4);
    border-radius: 10px;
    z-index: 1;
}

.custom-menu {
    background-color: rgba(0, 0, 0, 0.8);
    border-color: rgba(255, 255, 255, 0.7);
    font-family: 'Ubuntu';
}

.navigation {
    height: 50%;
}

.links {
    display: flex;
    flex-direction: column;
    list-style: none;
    text-align: right;
    gap: 10px;
}

.links a {
    text-decoration: none;
    color: var(--accent-cl);
    font-size: 1.2rem
}

.fa-times {
    background-color: transparent;
    border: none;
}

input,
textarea {
    color: white;
    background-color: transparent;
    border-width: 0 0 2px 0;
    border-color: rgba(255, 255, 255, 0.7);
    width: clamp(150px, 70%, 400px);
    font-size: 0.85rem;
    margin: 5px auto;
}

.group-name-lastname {
    display: inline-flex;
    margin: 5px auto;
    width: clamp(150px, 70%, 400px);
}

#name {
    width: 100%;
    margin: 0;

}

.group-name-lastname>.row>.col-6:nth-child(2) {
    padding: 0 !important;
}

#lastName {
    width: 90% !important;
    margin: 0;
}

#profile {
    background: transparent;
    display: inline-flex;
    margin: 5px auto;
    border-width: 3px;
    border-radius: .2em;
    width: clamp(150px, 70%, 400px);
}

#profile>option {
    color: black;
}

#service {
    background: transparent;
    display: inline-flex;
    margin: 5px auto;
    border-width: 3px;
    border-radius: .2em;
    width: clamp(150px, 70%, 400px);
}

#service>option {
    color: black;
}

textarea {
    font-size: 0.85rem;
    min-height: 80px;
}

form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

#termsGroup {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    width: clamp(180px, 80%, 400px);
    margin-left: auto;
    margin-right: auto;
}

#terms {
    margin: 0px;
    padding: 15px;
    width: 35px;
    height: auto;
}

#labelTerms {
    font-size: 0.80rem;
    margin-bottom: 0;
}

#labelTerms a {
    color: var(--accent-cl);
}

.btn-terms {
    color: var(--accent-cl) !important;
    background-color: transparent;
    border: none;
    text-decoration: underline;
    box-shadow: none;
}

.modal-terms {
    color: black;
}

.form-box {
    border-radius: 25px;
    padding: 30px 0px;
    padding-bottom: 45px;
    width: clamp(310px, 100%, 430px);
    display: flex;
    flex-direction: column;

}

.form-title {
    width: clamp(270px, 100%, 400px);
    margin: auto;
    text-align: center;
}

.form-title hr {
    opacity: 1;
    margin: 2px 0;
    width: 85%;
    margin-left: auto;
    margin-right: auto;
}

.form-title h3 {
    font-size: 1.5rem;
    margin: 0;
}

.content-inicio {
    min-height: var(--vh-size);
    display: flex;
    justify-content: center;
    padding-bottom: 50px;
    max-width: 100vw;
    margin: 0;
}

.caja-inicio {
    min-height: var(--vh-size);
    margin: auto;
}

.custom-separator {
    border: none;
    height: 3px;
    background: rgb(255, 238, 32);
    background: -moz-linear-gradient(90deg, rgba(255, 238, 32, 1) 0%, rgba(222, 151, 35, 1) 48%, rgba(224, 139, 0, 1) 100%);
    background: -webkit-linear-gradient(90deg, rgba(255, 238, 32, 1) 0%, rgba(222, 151, 35, 1) 48%, rgba(224, 139, 0, 1) 100%);
    background: linear-gradient(90deg, rgba(255, 238, 32, 1) 0%, rgba(222, 151, 35, 1) 48%, rgba(224, 139, 0, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffee20", endColorstr="#e08b00", GradientType=1);
    max-width: 500px;
    opacity: 1;
}

.subtitle {
    font-size: 1.1rem;

}

.subtitlefooter {
    /*yan*/
    text-align: end;
    font-size: 1.7vw;
}

.submit-button {
    background-color: transparent;
    border: solid 3px;
    border-color: var(--accent-cl);
    background-size: cover;
    background-position: center;
    color: var(--accent-cl);
    border-radius: 30px;
    padding: 10px 30px;
    margin: 20px auto 0 auto;
    min-width: 120px;
    width: 300px;
    transition: all 0.2s ease-out;
}

.submit-button:hover {
    background-color: var(--accent-cl);
    color: black;
    transition: all 0.2s ease-in;
}

#primerModal {
    background-color: black;
}

#logoModal {
    width: clamp(110px, 10vw, 200px);
    border-radius: 80px;
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.4);
    margin: 10px;
    align-self: flex-start;
    z-index: 3;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.6);
}

.modal-content {
    border-radius: 15%;
    border-color: white;
    background-color: black;
}

.selection-button {
    background-color: transparent;
    border: solid 3px;
    border-color: var(--accent-cl);
    background-size: cover;
    background-position: center;
    color: var(--accent-cl);
    border-radius: 30px;
    padding: 10px 30px;
    margin: 20px auto 0 auto;
    min-width: 120px;
    transition: all 0.2s ease-out;
}

.selection-button:hover {
    background-color: var(--accent-cl);
    color: black;
    transition: all 0.2s ease-in;
}

.form-column-inicio {
    display: flex;
    flex-direction: column;
    align-content: center;
    min-height: var(--vh-size);
    justify-content: center;
}

#portafolio {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}

.frame-portafolio {
    width: 100%;
    min-height: var(--vh-size);
}

#iframe-port {
    width: 100%;
    height: 100%;
}

#servicios {
    overflow: hidden;
    position: relative;
    display: flex;
    align-items: center;
}

.content-servicios {
    max-width: 100% !important;
}


.service-row,
.method-row {
    margin-left: clamp(50px, 10%, 500px) !important;
    margin-right: clamp(50px, 10%, 500px) !important;
}

.servicios-icons {
    max-width: 60px;
    margin: 10px 0;
}

.service-name {
    color: gold;
    font-family: 'Poppins';
    font-weight: 700;
    font-size: 1.5rem;
}

.service-description {
    font-weight: 300;
}

.service-title {
    font-family: 'Poppins';
    font-weight: bold;
    text-transform: lowercase !important;
    font-size: 2.5rem;
    max-width: fit-content !important;
}

.title-highlight {
    color: gold;
    text-transform: uppercase;
    font-size: 3rem;
}

#service-tag,
#method-tag {
    max-width: 80px;
}

.clients-row {
    background-color: #FFDF0C;
    height: 20vh;
    max-width: 100%;
    margin: 0;
}

.client {
    max-height: 15vh;
    margin-top: auto !important;
    margin-bottom: auto;
}

.contact-content {
    margin-left: auto;
    margin-right: calc(10px + 1vw);
    display: flex;
    flex-direction: column;
    gap: 8px;
    max-width: 95vw;
    padding: 0;
}

.contact-title {
    font-size: 4rem;
    text-align: end;
}

.contact-subtitle-deco {
    width: 50px;
}

.contact-subtitle {
    font-size: 1.3rem;
    margin-bottom: 0;
    font-family: 'Montserrat';
}

#service-select {
    border-radius: 0;
    border-width: 0 0 1px 0;
    background-color: white;
    color: gray;
    min-width: 280px;
    font-size: 0.9rem;
    padding: 5px;
    padding-left: 3px;
    margin-top: 4px;
}

.contact-detail {
    margin-left: auto;
    list-style: none;
    padding-left: 0;
    text-align: right;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 5px;
}

.contact-detail li {
    display: flex;
    align-items: center;
    gap: 10px;
    width: clamp(200px, 70vw, 330px);
    justify-content: flex-end;
}

.contact-detail a {
    font-size: 1rem;
    color: white;
    text-decoration: none;
    font-family: 'Montserrat', sans-serif;
}

.contact-icon-container {
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
}

#location .contact-detail-icon {
    width: 14px;
}

.contact-button-container {
    position: relative;
}

.contact-button-list {
    display: flex;
    justify-content: flex-end;
    gap: 8px;
    position: absolute;
    right: 0;
}

.contact-button-list img {
    width: 30px;
}

#service-arrow {
    position: absolute;
    right: 15px;
    max-width: 30px;
}

#service-arrow-2 {
    position: absolute;
    left: 15px;
    max-width: 30px;
    transform: scale(-1, -1);
}

.step {
    position: relative;
}

.step-text {
    position: absolute;
    top: 45%;
    left: 20%;
}



.step-list {
    list-style: none;
    padding-left: 0;

}

.service-desktop-carousel {
    width: 100%;
}

.step-number {
    font-size: 3rem;
    font-weight: bold;
}

.step-list li {
    font-size: 0.9rem;
    line-height: 1.05rem;
    font-family: 'Poppins';
}

.publicity-ads {
    font-weight: bold;
}

/*SLIDER DE PORTAFOLIO PARA LA LANDING*/
.slider-port {
    position: relative;
    height: 80vh;
    width: clamp(240px, 80%, 1400px);
    display: flex;
    padding: 0;
    justify-content: center;
}

.row-slide {
    height: 80vh;
    min-width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 2fr 4fr 5fr;
}

.row-slide {
    font-size: 0.8rem;
}

.row-slide p {
    text-align: center;
}

.bar-container {
    width: clamp(200px, 60%, 900px);
    height: 20px;
    display: flex;
    justify-content: center;
    position: relative;
    cursor: pointer;
    margin-bottom: 5px;
}

.row-bar {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.bar {
    width: 100%;
    height: 4px;
    background-color: gold;
    opacity: 1;
    border: none;
    z-index: 0;
    margin: auto;
    top: calc(50% - 1px);
    transition: all 0.4s ease-in-out;

}

.circle-bar {
    width: 20px;
    height: 20px;
    background-color: white;
    border: solid 3px;
    border-color: gold;
    border-radius: 10px;
    z-index: 1;
    position: absolute;
    left: 10%;
    transition: all 0.2s ease-in-out;
    cursor: pointer;
}

.bar-marker {
    display: flex;
    list-style: none;
    justify-content: center;
}

.activebar,
.bar-container:hover .bar {
    background-color: var(--accent-cl);
    box-shadow: -4px 0px 8px 0px rgba(255, 192, 68, 0.75);
    -webkit-box-shadow: -4px 0px 8px 0px rgba(255, 192, 68, 0.75);
    -moz-box-shadow: -4px 0px 8px 0px rgba(255, 192, 68, 0.75);
    transition: all 0.4s ease-in;
}

.activecircle,
.circle-bar:hover,
.bar-container:hover .circle-bar {
    background-color: white;
    border-color: goldenrod;

    transform: scale(1.4);
    transition: all 0.2s ease-in,
        left 1.5s ease-in-out;
}

.logo-cliente {
    grid-column: 1/1;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    margin: auto;
    align-self: flex-end;
    height: 100%;
    padding-bottom: 20px;
}

.logo-cliente img {
    max-height: 120px;
    max-width: 240px;
}

.impacto-cliente {
    display: flex;
    align-items: center;
    grid-row: 3;
    width: clamp(200px, 90%, 240px);
    margin: auto;
    padding: 0;
}

.impacto-cliente img {
    width: 100%;
}

.texto-cliente {

    padding: 0;
}

.texto-cliente p {
    font-family: 'Montserrat';
}

.texto-cliente .des {
    display: none;
}

/*BARRA DEL SLIDER PORTAFOLIO*/
.bar-marker {
    gap: 15px;
}

.bar-marker li {
    font-size: 1rem;
    cursor: pointer;
}

.slide-fade-leave-active {
    position: absolute;
    transition: all 0.9s ease-in;
}

.slide-fade-leave-to {
    opacity: 0;
    transform: translateX(-20%) scale(0.95);
}

.slide-fade-enter-from {

    transform: translateX(10%) scale(1.05);
    opacity: 0;
}

.slide-fade-enter-active {
    transition: all 0.9s ease-out;
}


/*SERVICE SLIDER CSS*/
#servicios-deco-1 {
    position: absolute;
    z-index: 1;
    left: calc(10px + 1.5vw);
    top: calc(10px + 1.5vh);
    width: clamp(40px, 4vw, 80px);
}

#servicios-deco-2 {
    position: absolute;
    z-index: 1;
    right: calc(10px + 1.5vw);
    bottom: calc(10px + 1.5vw);
    width: clamp(25px, 4w, 50px);
}

.service-row>div {
    display: flex;
    gap: 20px;
}

.servicios-icons {
    max-width: 50px;
}

.service-name {
    font-size: 1.2rem;
    margin-bottom: 0;
}

.service-description {
    font-size: 0.8rem;
    display: none;

}

button.carousel-control-next,
button.carousel-control-prev {
    box-shadow: none;
}

.method-head {
    position: relative;
}

#method-tag {
    position: absolute;
    right: 10vw;
    top: calc(50% - 28px);

}

.method-row br {
    display: none;
}

.step-number {
    margin-bottom: 0;
    line-height: 1.1;
}

.step-arrow {
    min-height: 170px;
}

/*SERVICE SLIDER CSS*/
.method-head {
    justify-content: center;
}

#method-tag {
    position: static;
}

.step {
    padding-left: 3px;
    padding-right: 3px;
}

.step-arrow {
    display: none;
}

.step-text {
    position: static;
}

.step-number {
    font-size: 2rem;
}

/*CONTACTO */
.contact-body {
    position: relative;
    margin: 0;
    min-height: 80vh;
    width: 100%;
    padding-top: 20px;
}

.contact-body picture {
    position: absolute;
    bottom: 0;
}

.contact-subtitle-box {
    display: flex;
    gap: 10px;
    justify-content: flex-end;
}

#collage {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 0;
    width: clamp(200px, 75vw, 500px);
    z-index: 0;
    opacity: 0.9;
}

#portafolioDeco1 {
    display: none;
    top: calc(10px + 1.5vh);
    left: calc(10px + 1.5vw);
    width: clamp(40px, 8vw, 140px);
}

#portafolioDeco2 {
    display: none;
    bottom: calc(10px + 1.5vh);
    right: calc(10px + 1.5vw);
}

#contactDeco1 {
    display: none;
    top: calc(10px + 1.5vh);
    left: calc(10px + 1.5vw);
    width: clamp(40px, 4vw, 80px);
    padding: 0;
}

#contactTitle {
    display: none;
}

.clients-row-desk {

    display: none;
    height: 20vh;
    background-color: var(--accent-cl);
    align-items: center;
}

.client-desk {
    max-width: 15vw;
    max-height: 12vh;
}


@media only screen and (max-width: 1400px) and (min-width: 1200px) {
    .form-box {
        padding: 10px 0;
    }

    .form-box ::placeholder {
        font-size: 70%;
    }

    select {
        font-size: 70%;
    }

    #message {
        min-height: auto !important;
    }

    #termsGroup {
        font-size: 14px;
        justify-content: left;
        width: auto !important;
    }

    #submitButton {
        padding: 0 30px !important;
        margin: 0 auto !important;
    }
}

@media only screen and (max-width: 700px) and (min-width: 0px) {
    #termsGroup {
        width: auto !important;
    }

    #submitButton {
        margin: 0 !important;
    }
}